Canvas5ImageInternal::State Struct Reference

Internal: the state of a Canvas5Image. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::map< int, MWAWEmbeddedObject > | m_idToObject
| the map id to bitmap
std::map< int, std::shared_ptr< VKFLImage > > | m_idToGIF
| the map id to git
std::map< std::vector< unsigned >, std::shared_ptr< VKFLImage > > | m_idToMACO
| the map id to maco
std::map< int, librevenge::RVNGBinaryData > | m_idToQkTm
| the map id to quicktime

## Detailed Description

Internal: the state of a Canvas5Image.

## Constructor & Destructor Documentation

## State()

Canvas5ImageInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_idToGIF

std::map<int, std::shared_ptr<VKFLImage> > Canvas5ImageInternal::State::m_idToGIF

the map id to git

Referenced by State().

## m_idToMACO

std::map<std::vector<unsigned>, std::shared_ptr<VKFLImage> > Canvas5ImageInternal::State::m_idToMACO

the map id to maco

Referenced by State().

## m_idToObject

std::map<int, MWAWEmbeddedObject> Canvas5ImageInternal::State::m_idToObject

the map id to bitmap

Referenced by State().

## m_idToQkTm

std::map<int, librevenge::RVNGBinaryData> Canvas5ImageInternal::State::m_idToQkTm

the map id to quicktime

Referenced by State().

The documentation for this struct was generated from the following file:

- Canvas5Image.cxx